#be-booking-form {
    width: 100%;
    max-width: 1160px;
    margin: 0 auto 10px auto;
}

#tl-booking-cart {
    z-index: 1 !important;
}

#block-search,
#block-search * {
    box-sizing: border-box;
}

#block-search {
    position: absolute;
    z-index: 3;
    width: 100%;
    left: 50%;
    transform: translateX(-50%);
    margin-top: 90px;
    max-width: 1160px;
    background: rgba(34, 31, 28, 0.8);
    border: 1px solid #555555;
}

.single #block-search.block-search--single {
    position: static;
    margin: 80px auto 40px auto;
    width: calc(100% - 30px);
    transform: none;
}

.home #block-search.block-search--main {
    position: static;
    transform: none;
    margin: -280px auto 0 auto;
}

.be-container {
    padding: 0 30px;
}

.page-id-20371 .elementor-social-icons-wrapper,
.page-id-20371 .scrollToTop,
.page-id-20371 .wd-search-form,
.error404 #block-search {
    display: none !important;
}

#block-search.block-search--mobile {
    display: none;
}

@media screen and (max-height: 780px) {
    .home #block-search.block-search--main {
        margin: -380px auto 0 auto;
    }
}

@media screen and (max-height: 650px) {
    .home #block-search.block-search--main {
        margin: -480px auto 0 auto;
    }
}

@media screen and (max-width: 1279px), screen and (max-height: 599px) {
    .home #block-search.block-search--main {
        position: relative;
        left: auto;
        margin: 0 auto 110px auto;
        background: rgba(34, 31, 28, 1);
    }
}

@media screen and (max-width: 1160px) {
    #block-search.block-search--desktop {
        display: none;
    }

    #block-search.block-search--mobile {
        display: block;
        position: static;
        transform: none;
        margin: 0 auto 30px auto;
        background: rgba(34, 31, 28, 1);
    }
}
